base_url = "https://posixlycorrect.com"
title = "posixlycorrect"
description = "root endpoint of the posixlycorrect server"
default_language = "en"
theme = "tabi-lean"
compile_sass = true
generate_feeds = false
feed_filenames = ["atom.xml"]
author = "Fabian Montero"
build_search_index = true
generate_sitemap = true


[markdown]
highlight_code = true
highlight_theme = "ayu-dark"
render_emoji = true
external_links_class = "external"
external_links_target_blank = true
external_links_no_referrer = true
definition_list = true
insert_anchor_links = "left"


[search]
index_format = "elasticlunr_json"
include_title = true
include_description = true
include_path = true
include_content = true


[extra]
date_formats = [
    { lang = "en", long = "%Y-%m-%d", short = "%Y-%m-%d", archive = "%Y-%m-%d" },
]
post_listing_date = "both"
theme_switcher = false
default_theme = "dark"
skin = "posixlycorrect"
browser_theme_color = "#131a21"
compact_tags = true

remote_repository_url = "https://git.posixlycorrect.com/fabian/homepage"
remote_repository_git_platform = "Codeberg"
remote_repository_branch = "main"
show_remote_changes = true
show_remote_source = true

quick_navigation_buttons = true
toc = true
bottom_footnotes = true
copy_button = true
code_block_name_links = true
katex = false     # can be set to true in individual posts as needed
mermaid = false   # can be set to true in individual posts as needed
show_reading_time = false

copyright = "© $CURRENT_YEAR Fabian Montero $SEPARATOR Unless otherwise noted, the content in this website is available under the [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/) license."

favicon = "/favicon.png"
favicon_mimetype = "image/png"
feed_icon = true

menu = [
    {name = "lib", url = "lib"},
    {name = "blog", url = "blog"},
    {name = "leaderboard", url = "leaderboard" },
    {name = "git", url = "https://git.posixlycorrect.com"},
    {name = "recipes", url = "https://food.posixlycorrect.com"},
]

footer_menu = [
    {url = "https://public.posixlycorrect.com/pki/A8981D346F8F4130CA16A7775517E687FCCE0BB9.asc", name = "gpg key"},
    {name = "guestbook", url = "https://posixlycorrect.com/guestbook/"},
    {name = "wiki", url = "https://wiki.posixlycorrect.com"},
    {name = "notes", url = "https://notes.posixlycorrect.com"},
    {name = "ebooks", url = "https://calibre.posixlycorrect.com"},
    {name = "news", url = "https://rss.posixlycorrect.com"},
    {name = "photos", url = "https://photos.posixlycorrect.com"},
    {name = "sitemap", url = "sitemap.xml", trailing_slash = false},
]


[extra.hcard]
enable = true
homepage = "https://posixlycorrect.com"
full_name = "Fabian Montero"
p_nickname = "fabian"
p_email = "fabian@posixlycorrect.com"
u_key = "https://public.posixlycorrect.com/pki/A8981D346F8F4130CA16A7775517E687FCCE0BB9.asc"


[extra.webmentions]
# https://webmention.io/settings
enable = true
domain = "posixlycorrect.com"


[extra.isso]
enabled_for_all_posts = false
automatic_loading = true
endpoint_url = "https://isso.posixlycorrect.com/"
page_id_is_slug = true
lang = ""
max_comments_top = "inf"
max_comments_nested = "5"
avatar = false
voting = true
page_author_hashes = ""
lazy_loading = true
